messages.checkQuickReplyShortcut
Before offering the user the choice to add a message to a quick reply shortcut, to make sure that none of the limits specified here » were reached.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Before offering the user the choice to add a message to a quick reply shortcut, to make sure that none of the limits specified here » were reached.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.checkQuickReplyShortcut" \ -H "Content-Type: application/json" \ -d '{ "params": { "shortcut": "string" } }'{ "result": true}checkHistoryImportPeer
Check whether chat history exported from another chat app can be [imported into a specific Telegram chat, click here for more info »](https://core.telegram.org/api/import). If the check succeeds, and no RPC errors are returned, a [messages.CheckedHistoryImportPeer](https://core.telegram.org/type/messages.CheckedHistoryImportPeer) constructor will be returned, with a confirmation text to be shown to the user, before actually initializing the import.
checkUrlAuthMatchCode
Validate the match code selected by the user against the code shown on the login page, as part of the [OAuth authorization flow »](https://core.telegram.org/api/url-authorization#oauth-authorization). Only usable when both match_codes and match_codes_first are set in the `RawUrlAuthResultRequest` returned by `messages.RawRequestUrlAuthRequest`. If true is returned, proceed with the login flow and pass the verified code to `messages.RawAcceptUrlAuthRequest`.match_code.